CREATE TABLE hrt_skills_assignments (
    SKILL_ASSIGNMENT_ID      NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0),
    NAME                     VARCHAR2(960)    NOT NULL,
    ASSIGNMENT_TYPE          VARCHAR2(120)    NOT NULL,
    ASSIGNED_BY              NUMBER(18, 0)    NOT NULL,
    LOGIN_PERSON_ID          NUMBER(18, 0)    NOT NULL,
    ASSIGNED_DATE            TIMESTAMP(6)     NOT NULL,
    PROCESS_ID               NUMBER(18, 0),
    PROCESSED_DATE           TIMESTAMP(6) ,
    STATUS                   VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    SKILL_ASSIGNMENT_ID      NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0),
    NAME                     VARCHAR2(960)    NOT NULL,
    ASSIGNMENT_TYPE          VARCHAR2(120)    NOT NULL,
    ASSIGNED_BY              NUMBER(18, 0)    NOT NULL,
    LOGIN_PERSON_ID          NUMBER(18, 0)    NOT NULL,
    ASSIGNED_DATE            TIMESTAMP(6)     NOT NULL,
    PROCESS_ID               NUMBER(18, 0),
    PROCESSED_DATE           TIMESTAMP(6) ,
    STATUS                   VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_hrt_skills_assignments PRIMARY KEY (SKILL_ASSIGNMENT_ID, BUSINESS_GROUP_ID, SKILL_ASSIGNMENT_ID, BUSINESS_GROUP_ID)
);
